Run Extract
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-extract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com",
"instructions": "Collect company name and contact details.",
"settings": {
"country_code": "us",
"extract_schema_json": "{ \"type\": \"object\" }"
}
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-extract"
payload = {
"url": "https://example.com",
"instructions": "Collect company name and contact details.",
"settings": {
"country_code": "us",
"extract_schema_json": "{ \"type\": \"object\" }"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com',
instructions: 'Collect company name and contact details.',
settings: {country_code: 'us', extract_schema_json: '{ "type": "object" }'}
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "extract",
"url": "https://example.com",
"machine": {
"company_name": "Example Inc.",
"contact_email": "hello@example.com"
},
"total_points": 3
}AI Extract
Run Extract
Loads a page by URL and extracts structured data.
POST
/
functions
/
v1
/
run-extract
Run Extract
⌘I